{% extends "base.html" %}

{% load timeutil %}
{% load scientific %}
{% load mediaviews %}


{% block title %}Latest{% endblock %}
{% block pageid %}latest{% endblock %}


{% block headcontents %}
    {{ block.super }}
{% if not form.errors %}
    <meta http-equiv="refresh" content="300;url={{ request.build_absolute_uri }}">
{% endif %}

{% endblock %}

{% block content %}

<h3 style="font-weight:lighter; text-align:center;">Latest as of {% now "j F Y H:i:s T" %} </h3> 
<hr style="width:50%;text-align:center;margin:auto;">

{% if beta_reports_link %}
<p><h4 style="font-weight:lighter; text-align:center;"><span style="color:red;font-weight:bold;">New:</span> view the beta reports page located <a href="{% url "reports" %}">here</a></h4></p> 
{% endif %}
<br>
<div class="row justify-content-md-center">
<div class="col-md-6 justify-content-center">
<p>Test and MDC events and superevents are not included in the search results by default; see the <a href="/documentation/queries.html" target="_blank">query help</a> for information on how to search for events and superevents in those categories.</p>
<!-- Search form -->
<center>
<form method="GET" name="search_form">
    <table>
        {{ form.as_table }}
    <td><center><input type="Submit" value="Search" class="btn btn-sm btn-primary"></center></td>
    </table>
</form>
</center>
</div>
</div>
<br>

        <div class="row my-3 justify-content-md-center overflow-auto">
                    <div class="col-md">

<h5 style="font-weight:lighter; text-align:center;"> Tap on entry for detailed information </h5>
{% if events %}

<table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
  <thead>
    <tr>
        <th>UID</th>
        <th>Labels</th>
        <th>Pipeline</th>
        <th>
            {{ "gps"|timeselect:"gps" }}
        </th>
        <th>FAR (Hz)</th>
        <th>
            {{ "created"|timeselect:"utc" }}
        </th>
    </tr>
  </thead>


  <tbody>
{% for ev in events %}
    <tr data-toggle="collapse" data-target="#{{ ev.graceid }}" class="accordian-toggle collapse-row collapsed">
        <td><a class="no-collapse-link" href="{% url "view" ev.graceid %}">{{ ev.graceid }}</a></td>
        <td>
             {% for labelling in ev.labelling_set.all %}
                <span title="{{labelling.creator.name}}  {{labelling.created|utc}}" style="color: {{labelling.label.defaultColor}}">{{ labelling.label.name }}</span>
             {% endfor %}
        </td>
        <td>{{ ev.pipeline.name }} </td>
        <td>{% if ev.gpstime%}
                <!-- <span title="{{ ev.gpstime|gpsdate }}">{{ ev.gpstime }}</span> -->
                <!-- {{ ev.gpstime|floatformat:"0" }} -->
                {{ ev.gpstime|multiTimeMicroSeconds:"gps" }}
            {% endif %}</td>
        <!-- this is a bug. The far should be floored for display purposes. --> 
        {% if user_is_external %}
            {% if ev.far and ev.far < far_floor %} 
            <td>&lt; {{ far_floor|scientific }}</td>
            {% else %}
            <td>{{ ev.far|scientific }}</td>
            {% endif %}
        {% else %}
        <td>{{ ev.far|scientific }}</td>
        {% endif %}
        <td>{{ ev.created|multiTime:"created" }}</td>
    </tr>
    <tr class="nohover-row">
        <td colspan="6" class="hiddenRow"><div class="accordian-body collapse" id="{{ ev.graceid }}">
            <table class="table-xs table-condensed table-resp-gracedb shadow p-3 mb-5 rounded" style="margin-left:auto;margin-right:auto;width:auto;">
             <thead>
              <tr>
               <th colspan="2">Additional Event Information</th>
              </tr>
             </thead>
             <tbody>
              <tr>
               <td scope="col"><b>Group:</b></td>
               <td scope="col">{{ ev.group.name }}</td>
              </tr>

              <tr>
               <td scope="col"><b>Search:</b></td>
               <td scope="col">{{ ev.search.name }}</td>
              </tr>

              <tr>
               <td scope="col"><b>Instruments:</b></td>
               <td scope="col">{{ ev.instruments }}</td>
              </tr>

              <tr>
               <td scope="col"><b>Latency (s):</b></td>
               <td scope="col">{{ ev.reporting_latency|floatformat:"-3" }}</td>
              </tr>

               </tr>
             </tbody>
             </table>
             <center>
             <a href="{% url "view" ev.graceid %}" class="btn btn-success" role="button">Continue to {{ev.graceid}} Event Page</a>
             </center>
        </div></td>
    </tr>

{% endfor %}
  </tbody>
</table>

{% elif superevents %}

<!-- Superevent listing -->
<table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded">
  <thead> 
    <tr>
        <th>UID</th>
        <th>Labels</th>
        {% if user.is_authenticated %}
        <th>Preferred Event</th>
        {% endif %}
        <th>FAR (Hz)</th>
        <th>
            {{"created"|timeselect:"utc" }}
        </th>
    </tr>
  </thead>


  <tbody>
{% for sv in superevents %}
    <tr data-toggle="collapse" data-target="#{{ sv.superevent_id }}" class="accordian-toggle collapse-row collapsed">

        <td><a class="no-collapse-link" href="{% url "superevents:view" sv.superevent_id %}" >{{ sv.superevent_id }}</a></td>
        <td>
             {% for labelling in sv.labelling_set.all %}
                <span title="{{labelling.creator.name}}  {{labelling.created|utc}}" style="color: {{labelling.label.defaultColor}}">{{ labelling.label.name }}</span>
             {% endfor %}
        </td>

        {% if user.is_authenticated %}
        <td><a class="no-collapse-link" 
               href="{% url "view" sv.preferred_event.graceid %}"
               data-toggle="tooltip"
               data-placement="top"
               data-html="true"
               title="<b>{{ sv.preferred_event.graceid }}</b><br>
                      <b>Pipeline:</b> {{ sv.preferred_event.pipeline.name }}<br>
                      <b>FAR (Hz):</b> {{ sv.preferred_event.far|scientific }}  ">{{ sv.preferred_event.graceid }}</a></td>
        {% endif %}

        {% if user_is_external %}
            {% if sv.preferred_event.far and sv.preferred_event.far < far_floor %} 
            <td>&lt; {{ far_floor|scientific }}</td>
            {% else %}
            <td>{{ sv.preferred_event.far|scientific }}</td>
            {% endif %}
        {% else %}
        <td>{{ sv.preferred_event.far|scientific }}</td>
        {% endif %}
        <td>{{ sv.created|multiTime:"created" }}</td>

    </tr>

    <tr class="nohover-row">
        <td colspan="6" class="hiddenRow"><div class="accordian-body collapse" id="{{ sv.superevent_id }}">
          <div class="container p-3 my-3" style="all:unset">

            <!-- Superevent Table -->
            <table class="table-xs table-condensed table-resp-gracedb shadow p-3 mb-5 rounded"  class="accordian-toggle collapse-row collapsed" style="margin-left:auto;margin-right:auto;width:auto;">
             <thead>
              <tr>
               <th colspan="2">Additional Superevent Information</th>
              </tr>
             </thead>
             <tbody>
             {% if user.is_authenticated %}
              <tr>
               <td><b>GW Events:</b></td>
               <td>
                {% for ev in sv.get_internal_events %}
                      {{ ev | event_link_filter }}
                {% endfor %}
               </td>
              </tr>
             {% endif %}

              <tr>
               <td><b>t<sub>start</sub>:</b></td>
               <td>{{ sv.t_start|floatformat:"-3" }} </td>
              </tr>

              <tr>
               <td><b>t<sub>0</sub>:</b></td>
               <td>{{ sv.t_0|floatformat:"-3" }} </td>
              </tr>

              <tr>
               <td><b>t<sub>end</sub>:</b></td>
               <td>{{ sv.t_end|floatformat:"-3" }} </td>
              </tr>
               </tr>
             </tbody>
             </table>
             <center>
             <a href="{% url "superevents:view" sv.superevent_id %}" class="btn btn-primary" role="button">Continue to {{ sv.superevent_id }} Superevent Page</a>
             </center>

            <!-- Preferred Event Table -->
            <br>
            {% if user.is_authenticated %}
            <br>
            <table class="table-xs table-condensed table-resp-gracedb shadow p-3 mb-5 rounded"  class="accordian-toggle collapse-row collapsed" style="margin-left:auto;margin-right:auto;width:auto;">
             <thead>
              <tr>
               <th colspan="2">Preferred Event Information</th>
              </tr>
             </thead>
             <tbody>
               <tr>
                 <td><b>Event ID:</b></td>
                 <td><a href="{% url "view" sv.preferred_event.graceid %}">{{ sv.preferred_event.graceid }}</a></td>
               </tr>
    
               <tr>
                 <td><b>Pipeline:</b></td>
                 <td>{{ sv.preferred_event.pipeline }}</td>
               </tr>

               <tr>
                 <td><b>Instruments:</b></td>
                 <td>{{ sv.preferred_event.instruments }}</td>
               </tr>

               <!-- CoincInpsiralEvent Table -->
               {% if sv.preferred_event.coincinspiralevent %}
               <tr>
                 <td><b>SNR:</b></td>
                 <td>{{ sv.preferred_event.coincinspiralevent.snr|floatformat:"-2" }}</td>
               </tr>

               <tr>
                 <td><b>Chirp Mass:</b></td>
                 <td>{{ sv.preferred_event.coincinspiralevent.mchirp|floatformat:"-2" }}&nbsp;M<sub>&#x2299;</sub></td>
               </tr>

               {% for sngl in sv.preferred_event.coincinspiralevent.singleinspiral_set.all %}
               <tr>
                 <td><b>{{ sngl.ifo }} SNR:</b></td>
                 <td>{{sngl.snr|floatformat:"-2"}}</td>
               </tr>
               {% endfor %}

               {% elif sv.preferred_event.multiburstevent %}
               <tr>
                 <td><b>SNR:</b></td>
                 <td>{{ sv.preferred_event.multiburstevent.snr|floatformat:"-2" }}</td>
               </tr>

               {% endif %}
               <!-- end CoincInpsiralEvent Table -->

             </tbody>
             </table>
             <center>
             <a href="{% url "view" sv.preferred_event.graceid %}" class="btn btn-success" role="button">Continue to {{ sv.preferred_event.graceid }} Event Page</a>
             </center>
             {% endif %}

          </div> 
        </div></td>
    </tr>

{% endfor %}
  </tbody>
</table>


{% else %} <!-- !events -->
<h5>No results. Please login to see complete results.</h5>
{% endif %} <!-- if eventss -->

     <script type="text/javascript">
        $('.no-collapse-link').on('click', function (e) {
            e.stopPropagation();
        });
     </script>

     </div>
     </div>

{% endblock %}
